%define pre 0
%if %pre
%define rel 1.%pre.1
%define fname %name-%version-%pre
%else 
%define rel 5
%define fname %name-%version-1
%endif
Summary: A gtk+ based diagram creation program
Name: dia
Version: 0.95
Release: %mkrel %rel
License: GPL
Group: Office
Source: ftp://ftp.gnome.org/pub/GNOME/sources/%name/%version/%{fname}.tar.bz2
Patch: dia-0.95-pre1-use-own-gtkrc.patch.bz2
#gw quick hack to find the gnome documentation
Patch1: dia-0.95-pre1-help.patch.bz2
# (fc) 0.94-0.pre3-2mdk fix DTD location in help file
Patch2: dia-0.95-1-dtdfix.patch.bz2
Patch3: dia-0.95-pre1-missing.patch.bz2
URL: http://www.gnome.org/projects/dia 
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires:	docbook-utils
BuildRequires:	pygtk2.0
BuildRequires:	python-devel
BuildRequires:	libgnomeui2-devel
BuildRequires:	png-devel
BuildRequires:	libxslt-devel
BuildRequires:	cairo-devel
BuildRequires:	perl-XML-Parser
BuildRequires:	ImageMagick
BuildRequires:	autoconf2.5
BuildRequires:  PyXML
BuildRequires:	libxslt-proc
BuildRequires:	scrollkeeper
BuildRequires:	docbook-style-xsl
BuildRequires:	desktop-file-utils
Requires:	pygtk2.0
%if %mdkversion > 200600
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
%endif

%description
Dia is a program designed to be much like the Windows
program 'Visio'. It can be used to draw different kind of diagrams. In
this first version there is support for UML static structure diagrams
(class diagrams) and Network diagrams. It can currently load and save
diagrams to a custom fileformat and export to postscript.

%prep
%setup -q -n %fname
%patch -p1 -b .diagtkrc
%patch1 -p1 -b .help
%patch2 -p1 -b .dtdfix
%patch3 -p1 -b .missing

#gw this must be regenerated
rm -f doc/en/dia.1

# Let it find python libraries gracefully
perl -pi -e "s,/lib/(python),/%{_lib}/\1,g" configure

%build
%configure2_5x --enable-gnome --with-python --with-cairo


%make

%install
rm -fr $RPM_BUILD_ROOT

%makeinstall_std
install -m 644 doc/en/*.xml %buildroot%_datadir/gnome/help/%name/en
install -m 644 doc/pl/*.xml %buildroot%_datadir/gnome/help/%name/pl
rm -f %buildroot%{_datadir}/gnome/help/%{name}/C
mv %buildroot%{_datadir}/gnome/help/%{name}/en %buildroot%{_datadir}/gnome/help/%{name}/C

mkdir -p $RPM_BUILD_ROOT%{_menudir}

cat <<EOF >$RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): needs="x11" section="Office/Graphs" title="Dia" longtitle="A gtk+ based diagram creation program" command="%{_bindir}/dia" icon="dia.png" xdg="true"
EOF

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="GTK" \
  --add-category="Office" \
  --add-category="Chart" \
  --add-category="X-MandrivaLinux-Office-Graphs" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

mkdir -p $RPM_BUILD_ROOT/%{_miconsdir}
mkdir -p $RPM_BUILD_ROOT/%{_liconsdir}

convert -scale 16x16 dia_gnome_icon.png $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.png
convert -scale 32x32 dia_gnome_icon.png $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.png
ln -s %_datadir/pixmaps/dia_gnome_icon.png $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.png

#for i in $RPM_BUILD_ROOT%{_datadir}/dia/sheets/{ER,GRAFCET,Istar,KAOS,Jackson}/*.xpm ; do
# convert $i `dirname $i`/`basename $i .xpm`.png
#done

%{find_lang} %{name} --with-gnome

chmod 644 %buildroot%_libdir/%name/*.la

%clean
rm -fr $RPM_BUILD_ROOT

%post
%{update_menus}
%if %mdkversion > 200600
%{update_desktop_database}
%endif

%postun
%{clean_menus}
%if %mdkversion > 200600
%{clean_desktop_database}
%endif

%files -f %{name}.lang
%defattr(-,root,root)
%doc README TODO NEWS INSTALL COPYING ChangeLog AUTHORS
%{_bindir}/*
%{_libdir}/dia
%{_mandir}/*/*
%{_datadir}/dia
%{_datadir}/mime-info/*
%{_datadir}/pixmaps/*
%{_datadir}/applications/dia.desktop
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png


%changelog
* Wed Aug 02 2006 Frederic Crozat <fcrozat@mandriva.com> 0.95-5mdv2006.0
- Rebuild with latest dbus

* Thu Jul 27 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.95-4
- add BuildRequires: desktop-file-utils

* Sat Jul 15 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.95-3mdv2007.0
- XDG menu
- Use macro for mimetypes

* Sun May 28 2006 Gtz Waschk <waschk@mandriva.org> 0.95-2mdv2007.0
- update patch 2
- upgrade to 0.95-1

* Thu Apr 20 2006 Gtz Waschk <waschk@mandriva.org> 0.95-1mdk
- drop patch 2
- new version

* Wed Apr 12 2006 Gtz Waschk <waschk@mandriva.org> 0.95-0.pre9.1mdk
- update patch 2
- new version

* Tue Apr  4 2006 Gtz Waschk <waschk@mandriva.org> 0.95-0.pre8.1mdk
- update patch 2
- new version

* Tue Mar 28 2006 Gtz Waschk <waschk@mandriva.org> 0.95-0.pre7.1mdk
- update patch 2
- new version

* Wed Mar 22 2006 Gtz Waschk <waschk@mandriva.org> 0.95-0.pre6.1mdk
- update patch 2
- new snapshot

* Mon Mar 20 2006 Gtz Waschk <waschk@mandriva.org> 0.95-0.pre5.2mdk
- fix installation

* Sun Mar 12 2006 Gtz Waschk <waschk@mandriva.org> 0.95-0.pre5.1mdk
- update patch 2
- new version

* Tue Mar  7 2006 Gtz Waschk <waschk@mandriva.org> 0.95-0.pre4.1mdk
- update patch 2
- new version

* Sun Feb 26 2006 Gtz Waschk <waschk@mandriva.org> 0.95-0.pre3.1mdk
- rediff patch 2
- new version

* Wed Feb 22 2006 Gtz Waschk <waschk@mandriva.org> 0.95-0.pre2.1mdk
- rediff patch 2
- new version

* Mon Feb 13 2006 Gtz Waschk <waschk@mandriva.org> 0.95-0.pre1.1mdk
- patch 3 to add missing file
- drop patches 3,4
- rediff patches 0,1,2
- new version

* Fri Nov 25 2005 Christiaan Welvaart <cjW@daneel.dyndns.org> 0.94-9mdk
- add BuildRequires: libxslt-proc scrollkeeper docbook-style-xsl

* Fri Nov 18 2005 Oden Eriksson <oeriksson@mandriva.com> 0.94-8mdk
- rebuilt against openssl-0.9.8a

* Mon Oct 03 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.94-7mdk
 Fix BuildRequires

* Sun Sep 18 2005 Gtz Waschk <waschk@mandriva.org> 0.94-6mdk
- fix the man page format

* Fri Aug 12 2005 Gtz Waschk <waschk@mandriva.org> 0.94-5mdk
- patches for gcc4 and new cairo
- rebuild for new cairo

* Wed Jan 05 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.94-4mdk 
- Rebuild with latest howl

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 0.94-3mdk
- Rebuild for new python

* Mon Aug 23 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.94-2mdk
- fix buildrequires

* Thu Aug 19 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.94-1mdk
- rediff patch 2
- new version

* Sun Aug  8 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.94-0.pre6.1mdk
- rediff patch 2
- new version

* Tue Aug  3 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.94-0.pre5.1mdk
- rediff patch 2
- new version

* Mon Aug  2 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.94-0.pre4.1mdk
- rediff patch 2
- new version

* Fri Jul 30 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.94-0.pre3.2mdk
- Patch1: fix DTD location in help file
- Add png version of ER,GRAFCET,Istar,KAOS,Jackson symbols
- Remove hard dependencies on ISO fonts, it pulls X server

* Mon Jul 26 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.94-0.pre3.1mdk
- new version

* Fri Jul 23 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.94-0.pre2.1mdk
- new version

* Mon Jul 12 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.94-0.pre1.1mdk
- fix help menu entry
- convert icons with imagemagick
- drop yelp stuff
- enable cairo
- rediff patch 0
- new version

* Wed Jun 23 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.93-3mdk
- reenable libtoolize
- fix accellerator key setting (bug #10123)

* Fri May  7 2004 Robert Vojta <robert.vojta@mandrake.cz> 0.93-2mdk
- URL fixed (http://www.gnome.org/projects/dia)

* Sat May  1 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.93-1mdk
- New release 0.93

* Wed Apr 14 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.93-0.pre3.1mdk
- new version

* Sun Apr 11 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.93-0.pre2.2mdk
- fix help files conflict

* Fri Apr  9 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.93-0.pre2.1mdk
- fix gnome help file listing
- new version

* Wed Apr  7 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.93-0.pre1.1mdk
- drop all patches
- new version

* Wed Dec 10 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.92.2-2mdk
- Patch5 : fix compilation with latest freetype

* Wed Nov  5 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.92.2-1mdk
- rediff patch 4
- fix libtool build
- update file list
- drop unused patches
- new version

* Thu Oct  2 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.91-9mdk
- libtool & lib64 fixes

* Thu Sep 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.91-8mdk
- Patch2 (CVS): fix font size (Mdk bug 5343)

* Tue Sep 02 2003 Frederic Crozat <fcrozat@mandraksoft.com> 0.91-7mdk
- Fix BuildRequires


* Tue Sep  2 2003 Abel Cheung <deaddog@deaddog.org> 0.91-6mdk
- Add missing BuildRequires and nuke useless ones

* Thu Aug 07 2003 Frederic Lepied <flepied@mandrakesoft.com> 0.91-5mdk
- python 2.3

* Sat Jul 19 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.91-4mdk
- rebuild for new orbit

* Tue Jun 10 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.91-3mdk
- patch1: fix gcc 3.3 preprocessor stuff

* Tue Apr 22 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.91-2mdk
- fix xslt stylesheet location
- fix xslt plugin

* Wed Apr  2 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.91-1mdk
- needs pygtk2.0
- fix source url
- new version
- fix buildrequires
- drop patches 

* Wed Dec  4 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.90-5mdk
- Patch2: Fixes for 64-bit platforms

* Wed Dec  4 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.90-4mdk
- Poor man's perl'ification to let it find the correct python path

* Sun Nov 17 2002 Stefan van der Eijk <stefan@eijk.nu> 0.90-3mdk
- BuildRequires

* Thu Jun 27 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.90-2mdk
- png icon
- Disable gnome-print support, it is somehow broken

* Mon Jun  3 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.90-1mdk
- Release 0.90
- Remove patches 0, 1 & 2 (merged upstream)

* Thu Mar  7 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.88.1-7mdk
- Patch2 (GNOME CVS): fix crash in tools menu (bug 55047)

* Fri Jan 11 2002 Stefan van der Eijk <stefan@eijk.nu> 0.88.1-6mdk
- BuildRequires

* Thu Jan  3 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.88.1-5mdk
- Recompiled against python 2.2

* Tue Dec 11 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.88.1-4mdk
- Patch0 (Rawhide): disable doc generation (broken)
- Patch1 (Rawhide): fix text rendering

* Fri Jun 15 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.88.1-3mdk
- Add missing BuildRequires

* Thu Jun 14 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.88.1-2mdk
- new office menu structure
- embed menu entry in specfile
- Add dependency on pygtk (for plugins)
- Reactivate xim
- configure macro is back

* Mon May 21 2001 Vincent Saugey <vince@mandrakesoft.com> 0.88.1-1mdk
- Up to 0.88.1


* Mon May 14 2001 Vincent Saugey <vince@mandrakesoft.com> 0.88-1mdk
- UP to 0.88
- reactivate bonobo support
- reactivate gnome support

* Mon Apr 30 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.86-6mdk
- Add locales (really)
- Disable GNOME support (seems to break i18n)
- Disable Bonobo support (since GNOME is needed to support Bonobo)
- Remove patch0

* Wed Jan 24 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.86-5mdk
- Recompiled against oaf 0.6.2

* Fri Jan 19 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.86-4mdk
- Recompiled against last bonobo
- Add missing files
- Bzip patch

* Thu Oct 26 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.86-3mdk
- recompiled with gnome-print 0.24

* Thu Sep  7 2000 Vincent Saugey <vince@mandrakesoft.com> 0.86-2mdk
- Adding many icons on various format

* Mon Aug  7 2000 Vincent Saugey <vince@mandrakesoft.com> 0.86-1mdk
- Up to 0.86

* Tue Jul 25 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.85-2mdk
- macroszification
- rebuild for BM

* Fri May 19 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.85-1mdk
- Up to 0.85

* Mon May 15 2000 Pixel <pixel@mandrakesoft.com> 0.84-6mdk
- add buildrequires libxml

* Fri May  5 2000 Vincent Saugey <vince@mandrakesoft.com> 0.84-5mdk
- Remove locale to prevent crash

* Fri Apr 28 2000 Vincent Saugey <vince@mandrakesoft.com> 0.84-4mdk
- Add dependencie to ISO font

* Mon Apr 17 2000 Vincent Saugey <vince@mandrakesoft.com> 0.84-3mdk
- Corrected group
- Add icon

* Mon Mar 27 2000 Vincent Saugey <vince@mandrakesoft.com> 0.84-2mdk
- add menu


* Mon Mar 07 2000 Vincent Saugey <vince@mandrakesoft.com> 0.84-1mdk
- v0.84


* Mon Jan 03 2000 Lenny Cartier <lenny@mandrakesoft.com> 
- v0.83
- used srpm provided by Gwenael Letellier <gwenael@linux-mandrake.com>


* Mon Dec 20 1999 Lenny Cartier <lenny@mandrakesoft.com>
 
- bz2 archive
 
* Fri Dec 17 1999 Frederic Lepied <flepied@mandrakesoft.com>
 
- 0.82
- first mandrake version.
 
* Sun Oct 17 1999 Miles Lott <milos@insync.net>
 
- Build for 0.80
- added version string to setup line
 
* Sun Sep 05 1999 James Henstridge <james@daa.com.au>
 
- added $(prefix)/share/dia to files list.
 
* Thu Apr 29 1999 Enrico Scholz <enrico.scholz@wirtschaft.tu-chemnitz.de>
 
- Made %setup quiet
- Enabled build from cvs
- Removed superfluous mkdir's
- using DESTDIR and install-strip
 
* Fri Aug 28 1998 Francis J. Lacoste <francis@Contre.COM>
 
- First RPM release.
                        


